<template>
    <div class="planes">
        <plan v-for="p in planes" :nombre="p" :key="p" @select="actualizaPlan"/>
        <h4>SELECCIONADO: {{planSelect}} </h4>
    </div>
</template>

<script>
import Plan from './Plan.vue'
export default {
    name:'Planes',
    components:{
        Plan
    },
    data(){
        return {
            planes: ['Plan 1 - Principiante','Plan 2 - Intermedio','Plan 3 - Avanzado', 'Plan 4 - Hackers'],
            planSelect: []
            }           
    },
    methods:{
        actualizaPlan(plan){
            let pos = this.planSelect.indexOf(plan)
            if (pos != -1){
                this.planSelect.splice(pos,1)
            }
            else{
                this.planSelect.push(plan)
            }
        }
    }
}
</script>

